<?php
/**
 * 
 * @file user.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once('class_user.php');

$url = 'mod_user/user.php';
Common::checkAdminFileAuth($url); //check file authority
$clComUser = new ComUser();

$act = kGet('act');
switch ($act) {
    case 'setvalue':
        $clComUser -> setUserFieldRecords();
        break;

    case 'delete_forever':
        $clComUser -> deleteRecords();
        break;

    default :
        $layout = $clComUser -> get_layout_user();
        require_once(getAdminTemplatePath('user', $url));
        break;
} 

?>